June 16, 2004
To our Stockholders:
In Fiscal 2004, McKesson delivered its fourth straight year of solid financial performance. For the year, we achieved revenue growth of 22% and earnings per share growth of 16%, we generated cash flow from operations of $563 million, made share repurchases of $157 million and ended the year with a net debt to net capital ratio of just 13%. Over the past four years, we had compound annual revenue growth in excess of 17% and compound annual growth of 36% in diluted earnings per share from continuing operations. During Fiscal 2004, we enhanced our ability to deliver sustained growth through organizational refinements, operating improvements, a series of small but strategic acquisitions and continued investments in product innovation and new initiatives. Our progress, combined with accelerating demand from consumers, employers, payors and government for more effective and efficient healthcare, positions your company for continued revenue and earnings growth in Fiscal 2005.
McKesson Drives Improvements in Healthcare Quality and Cost
Government and consumer pressure is mounting to improve the quality of healthcare while reducing the cost. Solving this challenge has become a national priority. Aging Baby Boomers are entering their peak years for healthcare issues. Their informed medical needs continue to fuel increasing demand for both more and markedly better care. Meeting these demands strains the financial resources of healthcare payors, providers and consumers alike. We believe that McKesson solutions can play a pivotal role in delivering better care to more Americans in the most efficient way possible.
Supply chain integrity delivered by McKesson products and services ensures safe drugs and medical supplies for patients at the most efficient cost. A recent study by the Healthcare Distribution Management Association identified the important value provided by pharmaceutical wholesalers on behalf of both manufacturers and customers through superb delivery logistics, working capital savings and phenomenal operating efficiencies combined with innovative valueadding services. For example, McKesson is a leader in developing and promoting innovations that track the flow of pharmaceuticals and medical-surgical supplies from the manufacturer's loading dock to the patient's use. We pioneered technologies that scan bar codes on these products as they move through the healthcare system on their way to providing beneficial therapy. We stand ready to provide bar code packaging to our manufacturer and customer partners as they prepare to meet the government's new mandate for universal bar coding of pharmaceuticals in hospitals. McKesson is the only company that provides a comprehensive system of robotics, scanning, dispensing and software covering both oral and injectable medications to reduce medication errors, which is

now used in more than 250 U.S. hospitals. We are currently collaborating closely with the world's largest retailer, Wal-Mart, to apply nextgeneration RFID technology to further improve the purchasing, safety and efficient management of pharmaceutical inventories.
McKesson information technologies and databases of knowledge put best practice information in the hands of providers when crucial decisions are being made at the point of care. More than half the nation's largest hospitals currently use McKesson information technologies to meet their clinical and financial missions. In the past three years, McKesson has introduced to our customers:
Software and hardware that digitizes, stores and provides access to medical images such as X-rays, CAT scans and PET scans, speeding viewing while eliminating the need for film that is expensive and costly to store.
Software and hardware that scans, stores and provides access to written or printed patient records and notes, improving availability and reducing space used to store paper for more important clinical use.
An information and ordering system for physicians that integrates technology to order and view lab tests, schedule clinical events and prescribe drugs with a database that alerts them to the best practices for more than 1,000 medical encounters.
A web-based portal that securely displays clinical information  and more  on computer screens, laptop computers, digital assistants and cell-phone screens, anytime, anywhere.
Increased use of information technology in healthcare received a major boost from President Bush in early 2004. In his State of the Union address, the President endorsed computerized healthcare to avoid medical mistakes and improve quality. On April 27, he announced a new initiative to ensure that all Americans have electronic medical records within 10 years. The President then directed all federal agencies involved in healthcare to recommend actions to promote the adoption of healthcare information technology. We believe that our market momentum, combined with these favorable influences on our customers, will continue to accelerate revenue opportunities for information solutions from McKesson.
McKesson disease management programs make it possible for patients with chronic illnesses to have the best health outcomes at the lowest cost. The Medicare Modernization Act of 2003 expands access to much-needed drugs for millions of seniors. Perhaps equally important for the long-term, the Act also provides incentives and focuses on programs designed to proactively manage the therapies and behaviors of patients with chronic disease. Millions of Americans suffer from debilitating, complex and costly conditions such as diabetes, congestive heart failure and asthma. McKesson now manages the health outcomes for Medicaid patients with these conditions in seven states, making us the leader in government disease management programs. These states save on average two dollars for every dollar spent with McKesson on disease management, saving tens of millions of dollars while improving health outcomes and the satisfaction of both patients and physicians. We are now applying for a Medicare Act disease management demonstration project to validate benefits on an even larger scale. In a related program, the Together Rx drug card administered by McKesson on behalf of seven pharmaceutical manufacturers has more than 1.3 million enrollees for whom it has delivered more than $350 million in cost savings since it was launched two years ago. On June 1, seniors also began benefiting from the new McKesson Rx Savings Access prescription drug discount card,

enabled through cooperation with several of our largest retail chain customers and accepted at more than 48,000 pharmacies nationwide.
Organizational Changes and Operating Improvements Should Drive Improving Results
Clearly, McKesson is well-positioned for growth being driven by the many, intensifying forces for change in healthcare. As Fiscal 2005 began, we implemented a series of organizational refinements designed to better align and integrate our product development and selling efforts with the evolving needs of the marketplace. McKesson Provider Technologies combines McKesson Information Solutions, McKesson's inpatient automation business and our Corporate Solutions Group, which quarterbacks complex sales, predominantly to large hospital and health networks. In Fiscal 2004, Corporate Solutions led 218 large, multi-business strategic agreements, up from 55 agreements the prior year. We also combined into a single unit the company's Payor business, which provides medical guidelines and criteria, software, analytics, patient call services and disease management to more than 600 commercial and government Payors nationwide. The Payor business is part of McKesson Pharmaceutical Solutions. And we moved Zee Medical, which provides first aid and safety products and training services to corporate customers, to McKesson Medical-Surgical Solutions. These organizational changes should enable us to accelerate growth through more effective selling efforts while generating internal efficiencies.
In Fiscal 2004, we continued to focus on operational improvements across our business. These improvements are designed to drive economic efficiencies, increase operating margins and improve customer satisfaction. Customer satisfaction survey scores improved in each of our segments, showing that customers recognize the value we are bringing to their organizations.
We ended the year with strong revenue growth in pharmaceutical distribution in both the United States and Canada, and have great revenue momentum entering this year. Over the past 12 months, we signed renewal contracts with six of our ten largest U.S. customers, in most cases expanding our previous relationship, adding new products or services. On May 10, we began a major new agreement to supply pharmaceuticals to the Department of Veterans Affairs, the nation's largest hospital network. While we continued to leverage our cost structure through expense controls and productivity programs, Pharmaceutical Solutions operating margin rate and operating profit came under pressure as a result of reduced product sourcing opportunities and lower pricing to customers. To stabilize margins, we are executing proactive programs to address both the profit that we earn from the services we provide to our manufacturer partners and our pricing to customers. We are making good progress in our discussions to improve the economics of our relationships with pharmaceutical manufacturers and believe we have sound strategies to stabilize pricing to customers. By the second half of Fiscal 2005, we expect to see improvement in our Pharmaceutical Solutions operating profit.
In Medical-Surgical Solutions, operating profit and operating margin rate improved steadily throughout the year. Our progress over the past five quarters tracked the plan we outlined in the fall of 2002. We continue to have strong growth from alternate site customers. An expanded program to distribute in-office dispensed pharmaceuticals, such as vaccines, to our more than 50,000 physician office

customers, helped drive annual revenue growth of 13% for this sector of the market. Growth in our alternate site business should continue to be strong in Fiscal 2005, which together with further progress in our operating plan should produce continued improvement in operating profit and operating margin.
In Information Solutions, revenue growth was modest. Software revenues for the year were impacted by slower demand for non-clinical software and the longer installation periods needed to implement our complex clinical contracts. Operating profit and operating margin rate improved during the year, reflecting better product mix, expense controls and the impact of changes to settlement and contract reserves. We continued to achieve great progress in our program to increase product innovation and improve customer satisfaction. Seven McKesson software products earned #1 or #2 rankings in the 2003 Annual Top 20 Year End "Best in KLAS" industry survey. No other vendor had more. Three years ago, McKesson had no products that ranked #1 or #2.
With our strong balance sheet, we continued to make strategic investments to enhance our multifaceted offering to customers. During the year, we acquired Sky Pharmaceuticals, a leading supplier of unit-dose, bar-coded packaging for hospitals, having packaged more than 300 million doses in the past 12 months. Sky's capabilities complement our previously established bulk-tobottle retail repackaging operation. We now have a comprehensive packaging solution, which is already seeing increased demand resulting from the FDA's mandate for bar coding of hospital medications. We also acquired the remaining 50% of our SI Baker joint venture. SI Baker is the leading provider of end-to-end, high-volume prescription dispensing technology. It is the cornerstone technology for our automated refill center (ARC) strategy we provide to large retail chains. On April 1, we completed our acquisition of Moore Medical, an Internet-enabled, multichannel supplier of medical-surgical products and pharmaceuticals to non-hospital providers of healthcare. Moore's reach and technologies for the alternate site market dovetail nicely with our existing leading position in this segment. We will continue to invest in the future, with $30 million of incremental spending for key initiatives planned in Fiscal 2005, including our Medication Safety Solution, our Rx Access drug card for seniors and our Payor business.
Well-Positioned for Continued Growth
As a result of our recent organizational changes, continued focus on operating efficiencies and expense controls, favorable market conditions, comprehensive solutions to address healthcare's need to improve quality and reduce cost, product innovation and strategic initiatives, we believe McKesson is well positioned for sustained growth. I continue to be especially pleased with the integrity, execution, accountability and productivity of our dedicated employees. Since 1999, we have grown our revenues by $39.5 billion, while maintaining our headcount at 24,500 employees  a remarkable 132% increase in revenues per employee in just five years.
McKesson today is an exciting place to be. We sit in the middle of the fastest-growing and most rewarding segment of the American economy. My thanks to our employees for their hard work and abiding commitment to our success, to our customers for their loyalty and cooperative spirit, to our supplier partners for their collaborative approach to our mutual goals and to our shareholders for their continued support.
Despite the near-term challenges in our business, the cost challenges faced by many companies today and our plan to increase investments in long-term opportunities, McKesson should deliver growth again in Fiscal 2005. Longer term, the health of the business and the soundness of our strategies should enable McKesson to grow revenues in excess of 10% per year and achieve earnings per share growth in the mid-teens. I'm very pleased with our achievements and look forward to strong performance in Fiscal 2005.

John H. Hammergren
President and Chief Executive Officer 